pulseaudio crashes on an assertion failure

Bug #425028 reported by toobuntu on 2009-09-05
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

On a fresh Karmic Alpha 5 desktop, I had gnome-terminal and firefox windows open, no flash player installed and no audio running when a notification popped up about pulseaudio crashing on an assertion failure but apport is not configured to report about.

ProblemType: Bug
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: I82801AAICH [Intel 82801AA-ICH], device 0: Intel ICH [Intel 82801AA-ICH]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: toobuntu 15451 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'I82801AAICH'/'Intel 82801AA-ICH with STAC9700,83,84 at irq 9'
   Mixer name : 'SigmaTel STAC9700,83,84'
   Components : 'AC97a:83847600'
   Controls : 34
   Simple ctrls : 24
CurrentDmesg:
 Error: command ['sh', '-c', 'dmesg | comm -13 /var/log/dmesg -'] failed with exit code 1: [ 69.253198] eth0: no IPv6 routers present
 comm: file 2 is not in sorted order
 [ 618.208127] hrtimer: interrupt too slow, forcing clock min delta to 1128417 ns
 [ 647.248361] nautilus[3167]: segfault at 0 ip 081986a6 sp bfd26b20 error 4 in nautilus[8048000+1bf000]
 [ 658.330263] Xorg[2454]: segfault at 8efd40 ip 001a25fe sp bfc23fac error 4 in libgcc_s.so.1[181000+2a000]
Date: Sat Sep 5 19:11:50 2009
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.16~test6-3-g57e1-0ubuntu2
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-9.29-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-9-generic i686

toobuntu (toobuntu) wrote :
smerz (daniel-genis) wrote :

Hello,

I also had pulseadio crash on me for no apparent reason :(.

Cheers,

smerz

Use the ubuntu-audio-dev PPA version, please.

On Sep 5, 2009 7:25 PM, "toobuntu" <email address hidden> wrote:

Public bug reported:

Binary package hint: pulseaudio

On a fresh Karmic Alpha 5 desktop, I had gnome-terminal and firefox
windows open, no flash player installed and no audio running when a
notification popped up about pulseaudio crashing on an assertion failure
but apport is not configured to report about.

ProblemType: Bug
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: I82801AAICH [Intel 82801AA-ICH], device 0: Intel ICH [Intel
82801AA-ICH]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: toobuntu 15451 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'I82801AAICH'/'Intel 82801AA-ICH with STAC9700,83,84 at irq 9'
  Mixer name : 'SigmaTel STAC9700,83,84'
  Components : 'AC97a:83847600'
  Controls : 34
  Simple ctrls : 24
CurrentDmesg:
 Error: command ['sh', '-c', 'dmesg | comm -13 /var/log/dmesg -'] failed
with exit code 1: [ 69.253198] eth0: no IPv6 routers present
 comm: file 2 is not in sorted order
 [ 618.208127] hrtimer: interrupt too slow, forcing clock min delta to
1128417 ns
 [ 647.248361] nautilus[3167]: segfault at 0 ip 081986a6 sp bfd26b20 error
4 in nautilus[8048000+1bf000]
 [ 658.330263] Xorg[2454]: segfault at 8efd40 ip 001a25fe sp bfc23fac error
4 in libgcc_s.so.1[181000+2a000]
Date: Sat Sep 5 19:11:50 2009
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.16~test6-3-g57e1-0ubuntu2
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-9.29-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-9-generic i686

** Affects: pulseaudio (Ubuntu)
    Importance: Undecided
        Status: New

** Tags: apport-bug i386

--
[karmic] pulseaudio crashes on an assertion failure
https://bugs.launchpad.net/bugs/425028
You received this bug notification because you are a member of Ubuntu
Audio Team, which is subscribed to pulseaudio in ubuntu.

At first I thought the PPA version was the answer, as audio was working and no more assertion failures were being announced.

However, without running any audio apps (but I did enable system sounds in order to verify that audio was working), in fact the only app I have open is gnome-terminal but not even running any command except top or htop, pulseaudio consumes between 46-57% CPU as reported by top and 70-100% as reported by htop.

This results in a system where the mouse pointer moves in real time with my actions, but apps and every other aspect of the desktop UE are very slow to respond, including mouse clicks.

toobuntu (toobuntu) wrote :

Forgot to mention which version was picked from the PPA:

$ apt-cache policy pulseaudio
pulseaudio:
  Installed: 1:0.9.16~test7-14-g7ca81-0ubuntu1~ubuntuaudiodev1
  Candidate: 1:0.9.16~test7-14-g7ca81-0ubuntu1~ubuntuaudiodev1
  Version table:
 *** 1:0.9.16~test7-14-g7ca81-0ubuntu1~ubuntuaudiodev1 0
        500 http://ppa.launchpad.net karmic/main Packages
        100 /var/lib/dpkg/status
     1:0.9.16~test6-3-g57e1-0ubuntu2 0
        500 http://us.archive.ubuntu.com karmic/main Packages

arky (arky) on 2009-09-06
summary: - [karmic] pulseaudio crashes on an assertion failure
+ pulseaudio crashes on an assertion failure

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: toobuntu 5799 F.... pulseaudio
 /dev/snd/controlC0: toobuntu 5799 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xb0000000 irq 19'
   Mixer name : 'Realtek ALC260'
   Components : 'HDA:10ec0260,104d0400,00100300 HDA:14f12bfa,104d0200,00090000'
   Controls : 13
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'Webcam'/'OmniVision Technologies, Inc.538-2640-08.09.09.1 Monitor Webcam at usb-0000:00:'
   Mixer name : 'USB Mixer'
   Components : 'USB05a9:2649'
   Controls : 4
   Simple ctrls : 3
CheckboxSubmission: 828a5c329e78d7d842afb06bc29466b6
CheckboxSystem: b4511570833504a308af03903c18ec08
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.16~test7-14-g7ca81-0ubuntu2
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-10.30-generic
Uname: Linux 2.6.31-10-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
To post a comment you must log in.